<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.76 [en] (X11; U; Linux 2.4.4 i686) [Netscape]">
   <meta name="Author" content="Vlad Mereuta">
   <meta name="Description" content="A PalmOS accounting program">
   <meta name="Keywords" content="PalmOS, accounting, Linux">
   <title>FreeCoins - upcoming features</title>
</head>
<body text="#333333" bgcolor="#FFFFFF" link="#0000EE" vlink="#551A8B" alink="#FF0000">
<?php include("menu.php"); ?>
<hr width="100%"><i><b>Note: </b>The items which are stroked out are already
implemented in the current version residing in CVS and will be incorporated
in the next release</i>
<br>
<hr width="100%">
<div align=right>Page last updated:&nbsp;<?php
	$last_upd = dateFromCVS('$Date: 2001/07/19 19:37:20 $');
	echo "$last_upd";
?></div>

<h2>
Known bugs (in the current CVS version):</h2>

<ul>
<li>
lsome random crashes after long use (uncheked recently... is it still happening?)</li>

<li>
some scheduled transactions (forever-repeating monthly, and maybe others)
self-delete after the first occurance</li>

<li>
for a more bugs see the the bug tracker on sourceforge</li>
</ul>

<h2>
Under development <i>now</i>:</h2>

<ol>
<li>
GNUCash sync (<i><font face="Arial,Helvetica"><a href="mailto: adz1092@netscape.net">Andrew
S. Townley</a></font></i>)</li>
</ol>

<h3>
Upcoming major features:</h3>

<ol>
<li>
autocompletion for transactions</li>
</ol>

<h3>
Misc tasks (more important tasks marked in <font color="#006600">green</font>)</h3>

<ol>
<li>
<font color="#006600">table headers (happydays has a nice interface. might
be useful)</font></li>

<li>
<font color="#006600"><strike>remove account creation button and only leave
option in the menu</strike> (and maybe in the account choser?)</font></li>

<li>
<font color="#006600">action popup instead of the button removed; should
contain the choice of default action (view register, details, create new
transaction)</font></li>

<li>
<font color="#006600"><strike>choice of balances displayed - the balances could
be chosen by popus (maybe placed in the table header? otherwise it can
be placed where the description of the balances displayed lies at the moment).
Available options should include uncleared/cleared/future</strike></font></li>

<li>
possiblity to create reports (should display total available funds including
overdrafts, profits, assests)</li>

<li>
note support for both transactions and accounts</li>

<li>
possibility to make notes private (and/or maybe encrypt them)</li>

<li>
when a transaction is reconciled, its balance, date, description,etc should
be locked (should be able to set this from prefs)????</li>

<li>
when a future transaction is set by the user as cleared, it should *not*
clear until its date; also any attempt to clear it should fail</li>

<li>
expected date choice in preferences. The expected date is a point in time
at which the cleared balance is displayed. It can be: today (in that case
the uncleared total balance is displayed or any moment in the future (set
date, set time interval in days or endofweek/month) in which case the current
balance minus all the scheduled/uncleread transactions that are due before
that date are displayed</li>

<li>
include overdrafts option (will add the credit/overdraft limit to the current
balance to give the user an idea about what are the total funds available
to him/her)</li>

<li>
<strike><font color="#006600">merge the scheduled information into the
transaction database</font></strike></li>

<li>
<strike><font color="#006600">get rid of account categories and use only
accounts. The account trigger should be dynamically generated (is it possible?)
from the top level accounts.</font></strike></li>

<li>
<strike>fix the account tree sorting algorithm so that it works properly
for trees deeper then two level (untested at the moment)</strike></li>
</ol>

<h3>
Usability/interface issues</h3>

<ol>
<li>
<strike>the account chooser form should be able to 'focus' on a given account UID.
This should be usefull when editing stuff - the account already selected
should just pop up on the screen without the user going through several
levels of accounts</strike></li>

<li>
use colours to make the interface look pretty :)</li>

<li>
align all the fields, resize windows to fit, etc.</li>

<li>
<b>MANUAL</b></li>

<li>
<strike>ask for user confirmation when deleting accounts and transactions</strike></li>

<li>
<strike>the destination account trigger in the edit transaction/account
screen should diplay as much text as possible</strike></li>
</ol>

<h3>
Transactions</h3>

<ol>
<li>
<font color="#006600"><strike>Interface for split transactions</strike></font></li>

<li>
choice of sorting method (ascending/descending by date or amount)</li>

<li>
column labels and total descriptions</li>

<li>
<strike>ui for purging</strike></li>

<li>
change some of the displayed information in the table display</li>

<li>
<strike><font color="#006600">Implement split transactions</font></strike></li>

<li>
<strike><font color="#006600">unbalanced transactions should be somehow
marked in the register</font></strike></li>

<li>
<strike>compress/purge transactions.</strike></li>

<li>
<strike>when viewing the scheduled transactions, display total of all transactions
on the screen and not the account balance</strike></li>
</ol>

</body>
</html>
